Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class InProcessManagersFactory

    java.lang.Object
      oracle.ifs.fdk.ManagersFactory
          oracle.ifs.fdk.InProcessManagersFactory

Direct Known Subclasses:
  InProcessManagersFactoryImpl

    public abstract class InProcessManagersFactory

extends ManagersFactory

Abstract extension of ManagersFactory for in-process clients.

Field Summary

Fields inherited from class oracle.ifs.fdk.ManagersFactory
`CONFIG_SERVER_VERSION, CONFIG_WS_URL`

Constructor Summary
`protected` | `InProcessManagersFactory(java.util.Map config)` Protected constructor.

Method Summary
`abstract ExtendedFileContentManager` | `getExtendedFileContentManager()` Returns The ExtendedFileContentManager instance.
`abstract ExtendedLockManager` | `getExtendedLockManager()` Returns the ExtendedLockManager instance.
`abstract FdkSession` | `getFdkSession()` Returns the FdkSession created by this instance.
`abstract MailManager` | `getMailManager()` Returns the MailManager instance.

Methods inherited from class oracle.ifs.fdk.ManagersFactory
`beginRequest, endRequest, getArchiveManager, getAuditManager, getCategoryManager, getCommonManager, getContainerManager, getContentManager, getDomainManager, getFileContentManager, getFileManager, getGroupManager, getLifecycleManager, getLockManager, getRelationManager, getRequestManager, getSearchManager, getSecurityManager, getSessionManager, getSortManager, getSystemConfigurationManager, getTrashManager, getUser, getUserManager, getVersionManager, getWorkflowManager, getWorkspaceManager, isInProcess, login, login, login, login, logout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InProcessManagersFactory

    protected InProcessManagersFactory(java.util.Map config)
                                throws FdkException

  Protected constructor.

  Throws:
    `FdkException`

Method Detail

### getFdkSession

    public abstract FdkSession getFdkSession()

  Description copied from class: `InProcessManagersFactory`
  Returns the FdkSession created by this instance.

  Returns:
    The FdkSession created by this instance.

### getExtendedLockManager

    public abstract ExtendedLockManager getExtendedLockManager()
                                                        throws FdkException

  Description copied from class: `InProcessManagersFactory`
  Returns the ExtendedLockManager instance.

  Returns:
    The ExtendedLockManager instance.
  Throws:
    `FdkException`

### getExtendedFileContentManager

    public abstract ExtendedFileContentManager getExtendedFileContentManager()
                                                                      throws FdkException

  Description copied from class: `InProcessManagersFactory`
  Returns The ExtendedFileContentManager instance.

  Returns:
    The ExtendedFileContentManager instance.
  Throws:
    `FdkException`

### getMailManager

    public abstract MailManager getMailManager()
                                        throws FdkException

  Description copied from class: `InProcessManagersFactory`
  Returns the MailManager instance.

  Returns:
    The MailManager instance.
  Throws:
    `FdkException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD